OGRE: Ogre::ExternalTextureSourceManager Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ExternalTextureSourceManager Class Reference

Singleton Class which handles the registering and control of texture plugins. More...

`#include <OgreExternalTextureSourceManager.h>`

Inheritance diagram for Ogre::ExternalTextureSourceManager:

[legend]
List of all members.

## Public Member Functions

| ExternalTextureSourceManager ()
| Constructor.
| ~ExternalTextureSourceManager ()
| Destructor.
void | setCurrentPlugIn (const String &sTexturePlugInType)
| Sets active plugin (ie.
ExternalTextureSource * | getCurrentPlugIn (void) const
| Returns currently selected plugin, may be null if none selected.
void | destroyAdvancedTexture (const String &sTextureName, const String &groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)
| Calls the destroy method of all registered plugins...
ExternalTextureSource * | getExternalTextureSource (const String &sTexturePlugInType)
| Returns the plugin which reistered itself with a specific name (eg.
void | setExternalTextureSource (const String &sTexturePlugInType, ExternalTextureSource *pTextureSystem)
| Called from plugin to register itself.

## Static Public Member Functions

static ExternalTextureSourceManager & | getSingleton (void)
| Override standard Singleton retrieval.
static ExternalTextureSourceManager * | getSingletonPtr (void)
| Override standard Singleton retrieval.

## Protected Types

typedef std::map< String, ExternalTextureSource * > | TextureSystemList

## Protected Attributes

ExternalTextureSource * | mpCurrExternalTextureSource
TextureSystemList | mTextureSystems

## Static Protected Attributes

static ExternalTextureSourceManager * | ms_Singleton

## Detailed Description

Singleton Class which handles the registering and control of texture plugins.

The plugins will be mostly controlled via a string interface.

Definition at line 50 of file OgreExternalTextureSourceManager.h.

## Member Typedef Documentation

typedef std::map< String, ExternalTextureSource*> Ogre::ExternalTextureSourceManager::TextureSystemList`[protected]`

| Definition at line 113 of file OgreExternalTextureSourceManager.h.

## Constructor & Destructor Documentation

Ogre::ExternalTextureSourceManager::ExternalTextureSourceManager | ( |  | ) |

| Constructor.

Ogre::ExternalTextureSourceManager::~ExternalTextureSourceManager | ( |  | ) |

| Destructor.

## Member Function Documentation

void Ogre::ExternalTextureSourceManager::destroyAdvancedTexture | ( | const String & | sTextureName,
|  | const String & | groupName = `ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME`
| ) |

| Calls the destroy method of all registered plugins... Only the owner plugin should perform the destroy action.

ExternalTextureSource* Ogre::ExternalTextureSourceManager::getCurrentPlugIn | ( | void |  | ) | const

| Returns currently selected plugin, may be null if none selected. Definition at line 62 of file OgreExternalTextureSourceManager.h.

ExternalTextureSource* Ogre::ExternalTextureSourceManager::getExternalTextureSource | ( | const String & | sTexturePlugInType | ) |

| Returns the plugin which reistered itself with a specific name (eg. "video"), or null if specified plugin not found

static ExternalTextureSourceManager& Ogre::ExternalTextureSourceManager::getSingleton | ( | void |  | ) | `[static]`

Override standard Singleton retrieval.

Remarks:
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

Reimplemented from Ogre::Singleton< ExternalTextureSourceManager >.

static ExternalTextureSourceManager* Ogre::ExternalTextureSourceManager::getSingletonPtr | ( | void |  | ) | `[static]`

Override standard Singleton retrieval.

Remarks:
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

Reimplemented from Ogre::Singleton< ExternalTextureSourceManager >.

void Ogre::ExternalTextureSourceManager::setCurrentPlugIn | ( | const String & | sTexturePlugInType | ) |

| Sets active plugin (ie. "video", "effect", "generic", etc..)

void Ogre::ExternalTextureSourceManager::setExternalTextureSource | ( | const String & | sTexturePlugInType,
|  | ExternalTextureSource * | pTextureSystem
| ) |

| Called from plugin to register itself.

## Member Data Documentation

ExternalTextureSource* Ogre::ExternalTextureSourceManager::mpCurrExternalTextureSource`[protected]`

| Definition at line 110 of file OgreExternalTextureSourceManager.h.

ExternalTextureSourceManager * Ogre::Singleton< ExternalTextureSourceManager >::ms_Singleton`[static, protected, inherited]`

| Definition at line 61 of file OgreSingleton.h.

TextureSystemList Ogre::ExternalTextureSourceManager::mTextureSystems`[protected]`

| Definition at line 114 of file OgreExternalTextureSourceManager.h.

The documentation for this class was generated from the following file:

- OgreExternalTextureSourceManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:44 2008